Salesforce: Enable Sync to Outlook Contact Link Feature

  • Updated

Riva Cloud and Riva On-Premise for Salesforce support syncing the Outlook Contact Link value to the primary contact value for corresponding Salesforce appointments and tasks.

In effect, Riva Cloud and Riva On-Premise can sync the value between Salesforce appointments and tasks...

salesforce-options-saer (4).png

... and Outlook appointments and tasks:

sf-pri-contact-to-outlook-linked-contact (5).png

Outlook Contact Link Feature

By default, the Contact Link feature is not enabled in Outlook.

To enable this feature:

Enable Multiple Related Contacts

Implementation for Riva Cloud

Implementation for Riva On-Premise 2.4.37 or higher

This is available in Riva On-Premise 2.4.37.19902 or higher.

  1. Start the Riva Manager application.

  2. Riva 2.4.52 or earlier: On the main menu, if you see Setup, select Setup.

  3. In the right pane, double-click the Salesforce connection object to edit it.

  4. In the CRM Connection Edit window that appears, select the Options tab.

  5. Select the Events: Allow multiple contacts to be related check box.

    salesforce-options-saer (5).png

Implementation for Riva On-Premise 2.4.35 and earlier

Options available in Riva 2.4.35 have been deprecated in Riva 2.4.37 and higher because Riva 2.4.37 and higher supports Salesforce shared activities and event relations, which Riva 2.4.35 did not.

Disable syncing the primary contact as an appointment attendee:

By default, the Salesforce connection is configured to include the primary contact as an attendee for Salesforce appointments/meetings synced to Exchange.

primary-contact-as-attendee (2).png

To disable this option, edit the Salesforce connection, and clear the Include primary contact as attendee check box.
 

To enable sync from the Salesforce primary contact to the Outlook contact link:

To enable sync from the Outlook contact link feature to the Salesforce primary contact field:

Applies to

  • Riva Cloud for Salesforce and Exchange.
  • Riva On-Premise 2.4.29 or higher for Salesforce and Exchange.

Was this article helpful?

/

Comments

0 comments

Article is closed for comments.